Issue #10472 has been updated by Nobuyoshi Nakada.


We can say nothing since no information except for just it segfaulted, but 1.8.7-p302, 2010-08-16, is very very old at least.
The last release of 1.8.7 should be p374.

# p375 and p376 have been released?

----------------------------------------
Bug #10472: C:/Ruby187/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31: [BUG] Segmentation fault
https://bugs.ruby-lang.org/issues/10472#change-49804

* Author: Akshay Mishra
* Status: Rejected
* Priority: Normal
* Assignee: cruby-windows
* Category: 
* Target version: 
* ruby -v: ruby 1.8.7 (2010-08-16 patchlevel 302) [i386-mingw32]
* Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN
----------------------------------------
Hi team,

I'm using Windows 7 64 Bit OS, and I use PC with 8 GB RAM . 
Below is how I have set up Ruby and rails support.
C:\Users\mishraak>gem environment

RubyGems Environment:
  - RUBYGEMS VERSION: 1.3.7
  - RUBY VERSION: 1.8.7 (2010-08-16 patchlevel 302) [i386-mingw32]
  - INSTALLATION DIRECTORY: C:/Ruby187/lib/ruby/gems/1.8
  - RUBY EXECUTABLE: C:/Ruby187/bin/ruby.exe
  - EXECUTABLE DIRECTORY: C:/Ruby187/bin
  - RUBYGEMS PLATFORMS:
    - ruby
    - x86-mingw32
  - GEM PATHS:
     - C:/Ruby187/lib/ruby/gems/1.8
     - C:/Users/mishraak/.gem/ruby/1.8
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :benchmark => false
     - :backtrace => false
     - :bulk_threshold => 1000
  - REMOTE SOURCES:
     - http://rubygems.org/

I imported an old code into workspace which was built on ruby 1.8.7 and rails 2.3.9.
I also need connectivity to Sybase and ORacle DB for this and I have installed gems for this.

When I try to start rails server, i get below message - saying it's a bug.

C:/Ruby187/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31: [BUG] Segmentation fault
ruby 1.8.7 (2010-08-16 patchlevel 302) [i386-mingw32]

After this, rubyw.exe terminates. 

I tried to ask if anybody else had encountered this earlier, but there are no relevant results .
Coudl you please help to fix thgis error? Also, development.log are clean. I can't find anything in Windiws event viewer either.

Also, I have faced issues while installing mongrel web server on windows for this before I got this error too.
While trying I suddenly started getting segmentation fault error. I have tried to set up everything from scratch, still no use. 

Please help. thank you in advance!






---Files--------------------------------
Seg Fault.png (53.6 KB)


-- 
https://bugs.ruby-lang.org/